



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>HTTP 状态代码表示什么意思？</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">HTTP 状态代码表示什么意思？</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-11 18:22:53 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>HTTP 状态代码表示什么意思？</h2>
<p>如果某项请求发送到您的服务器要求显示您网站上的某个网页，服务器将会返回 HTTP 状态码响应请求。此状态代码提供关于请求状态的信息，一些常见的状态代码为：</p>
<ul><li>200 - 服务器成功返回网页</li>
<li>404 - 请求的网页不存在</li>
<li>503 - 服务器暂时不可用</li></ul>
<p>下面提供 HTTP 状态代码的完整列表。 您也可以访问 HTTP 状态代码上的<a href="https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html" rel="external nofollow noreferrer">W3C 页获取更多信息</a>。</p>
<h4>1xx （临时响应）</h4>
<p>表示临时响应并需要请求者<strong>继续执行操作</strong>的状态代码。</p>
<table>
<thead>
<tr>
<th>状态码</th>
<th>解释</th>
</tr>
</thead>
<tbody>
<tr>
<td>100（继续）</td>
<td>请求者应当继续提出请求。 服务器返回此代码表示已收到请求的第一部分，正在等待其余部分。</td>
</tr>
<tr>
<td>101（切换协议）</td>
<td>请求者应当继续提出请求。 服务器返回此代码表示已收到请求的第一部分，正在等待其余部分。</td>
</tr>
</tbody>
</table>
<h4>2xx （成功）</h4>
<p>表示<strong>成功</strong>处理了请求的状态代码。</p>
<table>
<thead>
<tr>
<th>状态码</th>
<th>解释</th>
</tr>
</thead>
<tbody>
<tr>
<td>200（成功）</td>
<td>服务器已成功处理了请求。 通常，这表示服务器提供了请求的网页。</td>
</tr>
<tr>
<td>201（已创建）</td>
<td>请求成功并且服务器创建了新的资源。</td>
</tr>
<tr>
<td>202（已接受）</td>
<td>服务器已接受请求，但尚未处理。</td>
</tr>
<tr>
<td>203（非授权信息）</td>
<td>服务器已成功处理了请求，但返回的信息可能来自另一来源。</td>
</tr>
<tr>
<td>204（无内容）</td>
<td>服务器成功处理了请求，但没有返回任何内容。</td>
</tr>
<tr>
<td>205（重置内容）</td>
<td>服务器成功处理了请求，但没有返回任何内容。 与 204 响应不同，此响应要求请求者重置文档视图（例如，清除表单内容以输入新内容）。</td>
</tr>
<tr>
<td>206（部分内容）</td>
<td>服务器成功处理了部分 GET 请求。</td>
</tr>
</tbody>
</table>
<h4>3xx （重定向）</h4>
<p>要完成请求，需要<strong>进一步</strong>操作。通常，这些状态码用来重定向。（Google建议每次请求中使用重定向不要超过5次）</p>
<table>
<thead>
<tr>
<th>状态码</th>
<th>解释</th>
</tr>
</thead>
<tbody>
<tr>
<td>300（多种选择）</td>
<td>针对请求，服务器可执行多种操作。 服务器可根据请求者 (user agent) 选择一项操作，或提供操作列表供请求者选择。</td>
</tr>
<tr>
<td>301（永久移动）</td>
<td>请求的网页已永久移动到新位置。 服务器返回此响应（对 GET 或 HEAD 请求的响应）时，会自动将请求者转到新位置。</td>
</tr>
<tr>
<td>302（临时移动）</td>
<td>服务器目前从不同位置的网页响应请求，但请求者应继续使用原有位置来响应以后的请求。 此代码与响应 GET 或 HEAD 请求的 301 代码类似，会自动将请求者转到不同的位置，但您不应使用此代码来告诉搜索引擎爬虫某个网页或网站已经移动，因为搜索引擎爬虫会继续抓取原有位置并编制索引。</td>
</tr>
<tr>
<td>303（查看其他位置）</td>
<td>请求者应当对不同的位置使用单独的 GET 请求来检索响应时，服务器返回此代码。 对于除 HEAD 之外的所有请求，服务器会自动转到其他位置。</td>
</tr>
<tr>
<td>304（未修改）</td>
<td>自从上次请求后，请求的网页未修改过。 服务器返回此响应时，不会返回网页内容。因此可节省带宽和开销。</td>
</tr>
<tr>
<td>305（使用代理）</td>
<td>请求者只能使用代理访问请求的网页。 如果服务器返回此响应，还表示请求者应使用代理。</td>
</tr>
<tr>
<td>307（临时重定向）</td>
<td>服务器目前从不同位置的网页响应请求，但请求者应继续使用原有位置来响应以后的请求。 此代码与响应 GET 和 HEAD 请求的 301 代码类似，会自动将请求者转到不同的位置，但您不应使用此代码来告诉搜索引擎爬虫某个页面或网站已经移动，因为搜索引擎爬虫会继续抓取原有位置并编制索引。</td>
</tr>
</tbody>
</table>
<h4>4xx （请求错误）</h4>
<p>这些状态码表示<strong>请求</strong>可能出错，妨碍服务器的处理。</p>
<table>
<thead>
<tr>
<th>状态码</th>
<th>解释</th>
</tr>
</thead>
<tbody>
<tr>
<td>400（错误请求）</td>
<td>服务器不理解请求的语法。</td>
</tr>
<tr>
<td>401（未授权）</td>
<td>请求要求身份验证。 对于需要登录的网页，服务器可能返回此响应。</td>
</tr>
<tr>
<td>403（禁止）</td>
<td>服务器拒绝请求。</td>
</tr>
<tr>
<td>404（未找到）</td>
<td>服务器找不到请求的网页。 例如，对于服务器上不存在的网页经常会返回此代码。</td>
</tr>
<tr>
<td>405（方法禁用）</td>
<td>禁用请求中指定的方法。</td>
</tr>
<tr>
<td>406（不接受）</td>
<td>无法使用请求的内容特性响应请求的网页。</td>
</tr>
<tr>
<td>407（需要代理授权）</td>
<td>此状态代码与 401（未授权）类似，但指定请求者应当授权使用代理。 如果服务器返回此响应，还会指明请求者应当使用的代理。</td>
</tr>
<tr>
<td>408（请求超时）</td>
<td>服务器等候请求时发生超时。</td>
</tr>
<tr>
<td>409（冲突）</td>
<td>服务器在完成请求时发生冲突。 服务器必须在响应中包含有关冲突的信息。 服务器在响应与前一个请求相冲突的 PUT 请求时可能会返回此代码，同时会附上两个请求的差异列表。</td>
</tr>
<tr>
<td>410（已删除）</td>
<td>如果请求的资源已永久删除，服务器就会返回此响应。 该代码与 404（未找到）代码相似，但在资源以前存在而现在不存在的情况下，有时会用来替代 404 代码。 如果资源已永久删除，您应当使用 301 指定资源的新位置。</td>
</tr>
<tr>
<td>411（需要有效长度）</td>
<td>服务器不接受不含有效内容长度标头字段的请求。</td>
</tr>
<tr>
<td>412（未满足前提条件）</td>
<td>服务器未满足请求者在请求中设置的其中一个前提条件。</td>
</tr>
<tr>
<td>413（请求实体过大）</td>
<td>服务器无法处理请求，因为请求实体过大，超出服务器的处理能力。</td>
</tr>
<tr>
<td>414（请求的 URI 过长）</td>
<td>请求的 URI（通常为网址）过长，服务器无法处理。</td>
</tr>
<tr>
<td>415（不支持的媒体类型）</td>
<td>请求的格式不受请求页面的支持。</td>
</tr>
<tr>
<td>416（请求范围不符合要求）</td>
<td>如果页面无法提供请求的范围，则服务器会返回此状态代码。</td>
</tr>
<tr>
<td>417（未满足期望值）</td>
<td>服务器未满足&quot;期望&quot;请求标头字段的要求。</td>
</tr>
</tbody>
</table>
<h4>5xx（服务器错误）</h4>
<p>这些状态代码表示服务器在尝试处理请求时发生内部错误。 这些错误可能是服务器本身的错误，而不是请求出错。</p>
<table>
<thead>
<tr>
<th>状态码</th>
<th>解释</th>
</tr>
</thead>
<tbody>
<tr>
<td>500（服务器内部错误）</td>
<td>服务器遇到错误，无法完成请求。</td>
</tr>
<tr>
<td>501（尚未实施）</td>
<td>服务器不具备完成请求的功能。 例如，服务器无法识别请求方法时可能会返回此代码。</td>
</tr>
<tr>
<td>502（错误网关）</td>
<td>服务器作为网关或代理，从上游服务器收到无效响应。</td>
</tr>
<tr>
<td>503（服务不可用）</td>
<td>服务器目前无法使用（由于超载或停机维护）。 通常，这只是暂时状态。</td>
</tr>
<tr>
<td>504（网关超时）</td>
<td>服务器作为网关或代理，但是没有及时从上游服务器收到请求。</td>
</tr>
<tr>
<td>505（HTTP 版本不受支持）</td>
<td>服务器不支持请求中所用的 HTTP 协议版本。</td>
</tr>
</tbody>
</table>
<h2>参考</h2>
<ul><li><a href="http://zqdevres.qiniucdn.com/data/20080625095421/index.html" rel="external nofollow noreferrer">google出来的结果</a></li></ul>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/g8eymyx9.html">Spark基础知识汇总</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qndj7x8.html">安卓log4k问题解决</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdgpwjq.html">&lbrack;php-src&rsqb;窥探Php内核中的数组与面向对象</a>
		</li>
						<li><a href="https://www.batexi.com/a/96o03yv9.html">CentOS下的网络配置文件说明</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnygx6q.html">一个好用且方便的FastCgi C&plus;&plus;库 - FastCgi&plus;&plus;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7m577xq.html">h&period;264 率失真优化</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ojgmrlq.html">平衡树初阶&mdash;&mdash;AVL平衡二叉查找树&plus;三大平衡树（Treap &plus; Splay &plus; SBT）模板【超详解】</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnj416x8.html">Springmvc&plus;Spring&plus;Mybatis实现员工登录注册功能</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j627w8.html">&lbrack;转&rsqb;ubuntu下安装fiddler</a>
		</li>
						<li><a href="https://www.batexi.com/a/8oj0ng5q.html">Socket编程实践&lpar;3&rpar; --Socket API</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jz54x8.html">【BZOJ 2850】巧克力王国</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjg3338.html">python学习第九讲&comma;python中的数据类型&comma;字符串的使用与介绍</a>
		</li>
						<li><a href="https://www.batexi.com/a/96pxmkn8.html">I-think-3</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7z6v6g9.html">C&num; 一款属于自己的音乐播放器</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljzel69.html">Codeforces 1109E&period; Sasha and a Very Easy Test 线段树</a>
		</li>
						<li><a href="https://www.batexi.com/a/960o5rj9.html">Fiddler 抓包的基本介绍</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e44p7e9.html">【LInux】查看Linux系统版本信息</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jnjmjq.html">windows server 2008开启共享文件设置</a>
		</li>
						<li><a href="https://www.batexi.com/a/q250p6oq.html">React 入门实例教程（转载）</a>
		</li>
						<li><a href="https://www.batexi.com/a/963j1ry9.html">Restful api 防止重复提交</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/r8mxlkp9.html">spring filter过滤器</a>
			</li>
						<li><a href="https://www.batexi.com/a/4qnly739.html">cal 命令</a>
			</li>
						<li><a href="https://www.batexi.com/a/oqv7kvzq.html">PHP5&period;2至5&period;6的新增功能详解</a>
			</li>
						<li><a href="https://www.batexi.com/a/39rw7kdq.html">django自动化部署脚本</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqdxkrz8.html">Python 标准异常</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq463158.html">C&num;基础---事件的使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9pv2zy9.html">Virtual Box常用指令</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qyoojm8.html">hdu-5493 Queue&lpar;二分&plus;树状数组&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/4qnlkmx9.html">XBOX ONE游戏开发之DEBUG配置（三）</a>
			</li>
						<li><a href="https://www.batexi.com/a/oqv7o11q.html">&lbrack;Flash 3D&rsqb; 又是一个难题解决了。&lpar;Flash3D在android中运行&rpar;</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
